Foxit PDF SDK

Public Member Functions | List of all members
FSDK.RemoteGotoAction Class Reference
Inheritance diagram for FSDK.RemoteGotoAction:

## Public Member Functions
| constructor (action)
| Constructor, with parent class object. More...
| GetDestination ()
| Get the destination information. More...
| GetDestinationName ()
| Get the destination name, which is defined in target PDF file. More...
| GetFileSpec ()
| Get the file specification which specifies the destination file. More...
| GetNewWindowFlag ()
| Get the flag which is used to decide whether to open the destination document in a new window or not. More...
| SetDestination (destination)
| Set the destination information, which is used to specify the position in target PDF file to jump to. More...
| SetDestinationName (dest_name)
| Set the destination name. More...
| SetFileSpec (file_specification)
| Set the file specification which specifies the destination file. More...
| SetNewWindowFlag (flag)
| Set the flag which is used to decide whether to open the destination document in a new window or not. More...
Public Member Functions inherited from FSDK.Action
| constructor (document, action_dict)
| Constructor, with parameters. More...
| GetDict ()
| Get PDF dictionary of current object. More...
| GetDocument ()
| Get the PDF document, to which current action belongs. More...
| GetSubAction (index)
| Get a sub-action by index. More...
| GetSubActionCount ()
| Get the count of sub-actions. More...
| GetType ()
| Get action type. More...
| InsertSubAction (index, sub_action)
| Insert a new sub-action to the location specified by index. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| RemoveAllSubActions ()
| Remove all the sub-actions. More...
| RemoveSubAction (index)
| Remove a sub-action, specified by index. More...
| SetSubAction (index, sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Static Public Member Functions inherited from FSDK.Action
static | Create (document, action_type)
| Create a new action, for specified action type. More...
Static Public Attributes inherited from FSDK.Action
static | e_NewWindowFlagFalse
| Enumeration for new window flag. More...
static | e_NewWindowFlagNone
| No "NewWindow" flag.
static | e_NewWindowFlagTrue
| "NewWindow" flag is true.
static | e_TypeGoto
| Action type: go-to action.
static | e_TypeGoTo3DView
| Action type: go-to-3D-view action.
static | e_TypeGoToE
| Action type: embedded go-to action.
static | e_TypeGoToR
| Action type: remote go-to action.
static | e_TypeHide
| Action type: hide action.
static | e_TypeImportData
| Action type: import-data action.
static | e_TypeJavaScript
| Action type: JavaScript action.
static | e_TypeLaunch
| Action type: launch action.
static | e_TypeMovie
| Action type: movie action.
static | e_TypeNamed
| Action type: named action.
static | e_TypeRendition
| Action type: rendition action.
static | e_TypeResetForm
| Action type: reset-form action.
static | e_TypeSetOCGState
| Action type: set-OCG-state action.
static | e_TypeSound
| Action type: sound action.
static | e_TypeSubmitForm
| Action type: submit-form action.
static | e_TypeThread
| Action type: thread action.
static | e_TypeTrans
| Action type: transition action.
static | e_TypeUnknown
| Enumeration for action type. More...
static | e_TypeURI
| Action type: uniform resource identifier (URI) action.

## Detailed Description

Remote go-to action is similar to an ordinary go-to action but jumps to a destination in another PDF file (not embedded file) instead of current PDF file (which contains the remote go-to action).
Class FSDK.RemoteGotoAction is derived from FSDK.Action and offers functions to get/set remote go-to action data. Destination information of a remote go-to action can be represents as either a destination array or a destination name:

- If the destination information is a destination array, Foxit PDF SDK uses a destination object to represent it and FSDK.RemoteGotoAction.GetDestination can be used to get such value.
- If the destination information is a destination name, Foxit PDF SDK uses a string to represent it and FSDK.RemoteGotoAction.GetDestinationName can be used to get such value. Specially, the related destination array is defined in the target PDF file, not current PDF file. User can use functions in class FSDK.PDFNameTree to retrieve the actual destination array from target PDF file.

Destination PDF file and destination information are necessary for a remote go-to action, so user should ensure to set both data by FSDK.RemoteGotoAction.SetFileSpec and FSDK.RemoteGotoAction.SetDestination or FSDK.RemoteGotoAction.SetDestinationName, especially for a new remote go-to action; otherwise, the remote go-to action would be useless.

See also
  FSDK.Action

## Member Function Documentation

## ◆ constructor()

FSDK.RemoteGotoAction.constructor | ( | action |  | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## ◆ GetDestination()

FSDK.RemoteGotoAction.GetDestination | ( |  | ) |

Get the destination information.

For a remote go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, function FSDK.RemoteGotoAction.GetDestination would return a valid destination object.
- If it is a destination name, function FSDK.RemoteGotoAction.GetDestinationName would return a valid string, and the destination name would be defined in the target PDF file.

If the return value of function FSDK.Destination.IsEmpty for the returned destination object is true and function FSDK.RemoteGotoAction.GetDestinationName returns an empty string, that means the remote go-to action does not have any destination information.

Returns
  A destination object. If the return value of function FSDK.Destination.IsEmpty for the returned destination object is true, please try function FSDK.RemoteGotoAction.GetDestinationName.

## ◆ GetDestinationName()

FSDK.RemoteGotoAction.GetDestinationName | ( |  | ) |

Get the destination name, which is defined in target PDF file.

For a remote go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, function FSDK.RemoteGotoAction.GetDestination would return a valid destination object.
- If it is a destination name, function FSDK.RemoteGotoAction.GetDestinationName would return a valid string, and the destination name would be defined in the target PDF file.

If the return value of function FSDK.Destination.IsEmpty for the returned destination object is true and function FSDK.RemoteGotoAction.GetDestinationName returns an empty string, that means the remote go-to action does not have any destination information.

Returns
  The destination name. If this function returns an empty string, please try function FSDK.RemoteGotoAction.GetDestination.

## ◆ GetFileSpec()

FSDK.RemoteGotoAction.GetFileSpec | ( |  | ) |

Get the file specification which specifies the destination file.

Returns
  A non-embedded file specification object.

## ◆ GetNewWindowFlag()

FSDK.RemoteGotoAction.GetNewWindowFlag | ( |  | ) |

Get the flag which is used to decide whether to open the destination document in a new window or not.

Returns
  The new window flag. It would be one of following values:
  - FSDK.Action.e_NewWindowFlagTrue means to open the destination document in a new window.
  - FSDK.Action.e_NewWindowFlagFalse means that the destination document replaces current document in the same window.
  - FSDK.Action.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

## ◆ SetDestination()

FSDK.RemoteGotoAction.SetDestination | ( | destination |  | ) |

Set the destination information, which is used to specify the position in target PDF file to jump to.

Parameters

  [in] | destination | A valid destination object to be set.

Returns
  None.

## ◆ SetDestinationName()

FSDK.RemoteGotoAction.SetDestinationName | ( | dest_name |  | ) |

Set the destination name.

The destination name should have been in the "Dests" name tree in the target PDF file.

Parameters

  [in] | dest_name | A destination name to be set. It should be not be an empty string.

Returns
  None.

## ◆ SetFileSpec()

FSDK.RemoteGotoAction.SetFileSpec | ( | file_specification |  | ) |

Set the file specification which specifies the destination file.

Parameters

  [in] | file_specification | A valid file specification object to be set. This object should belong to the same PDF file as current action. It should represent another PDF file as the target file, and should not represent an embedded file.

Returns
  None.

## ◆ SetNewWindowFlag()

FSDK.RemoteGotoAction.SetNewWindowFlag | ( | flag |  | ) |

Set the flag which is used to decide whether to open the destination document in a new window or not.

Parameters

  [in] | flag | The new window flag. It should be one of following values: FSDK.Action.e_NewWindowFlagTrue means to open the destination document in a new window. FSDK.Action.e_NewWindowFlagFalse means that the destination document replaces current document in the same window. FSDK.Action.e_NewWindowFlagNone means that such flag is not needed and the viewer application should behave in accordance with the current user preference.

Returns
  None.